%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-lacaml
Version:        11.1.1
Release:        %mkrel 1
Summary:        BLAS/LAPACK-interface for OCaml

License:        LGPLv2 with exceptions
Group:          Development/OCaml
URL:            https://github.com/mmottl/lacaml
Source0:        %{url}/releases/download/%{version}/lacaml-%{version}.tbz

BuildRequires:  ocaml >= 4.08
BuildRequires:  ocaml-dune >= 2.7
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  libblas-devel
BuildRequires:  liblapack-devel
Requires:       libblas
Requires:       liblapack

# Do not require ocaml-compiler-libs at runtime
%global __ocaml_requires_opts -i Asttypes -i Build_path_prefix_map -i Cmi_format -i Env -i Format_doc -i Ident -i Identifiable -i Load_path -i Location -i Longident -i Misc -i Oprint -i Outcometree -i Parsetree -i Path -i Primitive -i Shape -i Subst -i Toploop -i Type_immediacy -i Types -i Unit_info -i Warnings

%description
This OCaml-library interfaces two widely used mathematical FORTRAN-libraries:
 * BLAS (Basic Linear Algebra Subroutines)
 * LAPACK (Linear Algebra PACKage)

This allows developers to write high-performance numerical code for
applications that require linear algebra.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libblas-devel
Requires:       liblapack-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n lacaml-%{version}


%build
%dune_build


%install
%dune_install


%check
%dune_check


%files -f .ofiles
%doc README.md
%license LICENSE.md


%files devel -f .ofiles-devel
%doc CHANGES.md
%license LICENSE.md


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 11.1.1-1.mga10
+ Revision: 2193630
- new version: 11.1.1

* Thu May 19 2022 pterjan <pterjan> 9.3.2-8.mga9
+ Revision: 1858900
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 9.3.2-7.mga9
+ Revision: 1832515
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 9.3.2-6.mga9
+ Revision: 1751051
- Rebuild for ocaml 4.13.1

* Fri Mar 05 2021 tv <tv> 9.3.2-5.mga9
+ Revision: 1698796
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 9.3.2-4.mga8
+ Revision: 1670465
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 9.3.2-3.mga8
+ Revision: 1551361
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 9.3.2-2.mga8
+ Revision: 1543718
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 9.3.2-1.mga8
+ Revision: 1482148
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 7.2.6-6.mga7
+ Revision: 1324242
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 7.2.6-5.mga7
+ Revision: 1299887
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 7.2.6-4.mga7
+ Revision: 1179678
- BR ocaml-ocamlbuild
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 7.2.6-3.mga6
+ Revision: 1069792
- Rebuild against fixed ocaml

* Mon Sep 26 2016 pterjan <pterjan> 7.2.6-2.mga6
+ Revision: 1056412
- Rebuild for fix in ocaml

* Thu Feb 18 2016 daviddavid <daviddavid> 7.2.6-1.mga6
+ Revision: 966077
- new version: 7.2.6
- update Source URL
- update files list for devel subpackage

* Wed Feb 17 2016 umeabot <umeabot> 7.1.3-4.mga6
+ Revision: 964123
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.1.3-3.mga5
+ Revision: 745244
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.1.3-2.mga5
+ Revision: 683056
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 7.1.3-1.mga5
+ Revision: 673921
- update to 7.1.3

* Sat Oct 19 2013 umeabot <umeabot> 7.0.9-2.mga4
+ Revision: 536592
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 blue_prawn <blue_prawn> 7.0.9-1.mga4
+ Revision: 484847
- updated to last version 7.0.9

* Fri Aug 09 2013 blue_prawn <blue_prawn> 7.0.7-1.mga4
+ Revision: 465003
- updated to last version 7.0.7

* Sun Jan 13 2013 umeabot <umeabot> 7.0.3-4.mga3
+ Revision: 361428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 malo <malo> 7.0.3-3.mga3
+ Revision: 308016
- fix BuildRequires
+ blue_prawn <blue_prawn>
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 7.0.3-2.mga3
+ Revision: 300441
- new rpm group for ocaml

* Tue Aug 21 2012 blue_prawn <blue_prawn> 7.0.3-1.mga3
+ Revision: 283016
- imported package ocaml-lacaml

